> For the complete documentation index, see [llms.txt](https://qr-cake-1.gitbook.io/bhb-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://qr-cake-1.gitbook.io/bhb-docs/api-reference/qr-cake-api/list-qr-codes-get-user-product.md).

# List QR Codes (GET /user/product)

Lists the QR Codes accessible to the API key.

### Request

* **Method:** `GET`
* **Path:** `/user/product`
* **URL:** `https://api.qrcake.com/v1/product/user/product`
* **Headers:**
  * `Authorization: Bearer <API Key>`
  * `Accept: application/json`

### Response

#### 200 OK

Returns an array of QR Code objects.

<details>

<summary>Example 200 response</summary>

```json
[
  {
    "accountId": "string",
    "productId": "string",
    "userId": "string",
    "redirect": "string",
    "state": "ACTIVE",
    "metadata": {},
    "createdAt": 0,
    "updatedAt": 0
  }
]
```

</details>

#### 401 Unauthorized

<details>

<summary>Example 401 response</summary>

```json
{
  "message": {}
}
```

</details>

### Notes

* In the Swagger docs, **“products” = QR Codes**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://qr-cake-1.gitbook.io/bhb-docs/api-reference/qr-cake-api/list-qr-codes-get-user-product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
